=== modified file 'scripts/analyse-error-reports.py'
--- scripts/analyse-error-reports.py	2006-06-13 13:39:39 +0000
+++ scripts/analyse-error-reports.py	2006-06-22 18:06:07 +0000
@@ -100,6 +100,7 @@
         self.softtimeout = {}
         self.notfound = {}
         self.exceptions = {}
+        self.invalidforms = {}
         self.exc_count = 0
         self.start = None
         self.end = None
@@ -177,7 +178,6 @@
                             '$STRING', evalue)
             evalue = re.sub(r'\b\d+', '$INT', evalue)
 
-
         if etype in ['RequestExpired', 'RequestQueryTimedOut',
                      'RequestStatementTimedOut']:
             self.addOops(self.expired, etype, evalue, url, oopsid,
@@ -188,6 +188,9 @@
         elif etype in ['NotFound']:
             self.addOops(self.notfound, etype, evalue, url, oopsid,
                          local_referer, is_bot)
+        elif etype in ['UnexpectedFormData']:
+            self.addOops(self.invalidforms, etype, evalue, url, oopsid,
+                         local_referer, is_bot)
         else:
             self.addOops(self.exceptions, etype, evalue, url, oopsid,
                          local_referer, is_bot)
@@ -245,12 +248,15 @@
                  % sum(data.count for data in self.expired.itervalues()))
         fp.write(' * %d Soft Time Outs\n'
                  % sum(data.count for data in self.softtimeout.itervalues()))
+        fp.write(' * %d Invalid Form Submissions\n'
+                 % sum(data.count for data in self.invalidforms.itervalues()))
         fp.write(' * %d Pages Not Found\n\n'
                  % sum(data.count for data in self.notfound.itervalues()))
 
         self.printTable(fp, self.exceptions, 'Exceptions', count=EXC_COUNT)
         self.printTable(fp, self.expired, 'Time Out Pages', count=COUNT)
         self.printTable(fp, self.softtimeout, 'Soft Time Outs', count=COUNT)
+        self.printTable(fp, self.invalidforms, 'Invalid Form Submissions', count=COUNT)
         self.printTable(fp, self.notfound, 'Pages Not Found', count=COUNT)
 
     def printHtmlTable(self, fp, source, title):
@@ -312,6 +318,8 @@
                  % sum(data.count for data in self.expired.itervalues()))
         fp.write('<li><a href="#soft-timeouts">%d Soft Time Outs</a></li>\n'
                  % sum(data.count for data in self.softtimeout.itervalues()))
+        fp.write('<li><a href="#invalid-forms">%d Invalid Form Submissions</a></li>\n'
+                 % sum(data.count for data in self.invalidforms.itervalues()))
         fp.write('<li><a href="#not-found">%d Pages Not Found</a></li>\n'
                  % sum(data.count for data in self.notfound.itervalues()))
         fp.write('</ul>\n\n')
@@ -323,6 +331,8 @@
         fp.write('<a name="soft-timeouts"></a>')
         self.printHtmlTable(fp, self.softtimeout, 'Soft Time Outs')
         fp.write('<a name="not-found"></a>')
+        self.printHtmlTable(fp, self.invalidforms, 'Invalid Form Submissions')
+        fp.write('<a name="invalid-forms"></a>')
         self.printHtmlTable(fp, self.notfound, 'Pages Not Found')
 
         fp.write('</body>\n')

